
Include CSS in HTML
- Inline Styling
- Internal Styling
- External CSS (recommended)

*/

/* CSS Selectors */
/* Universal Selector (*) - target all elements */

* {
	font-family: "Courier New", monospace;
	font-size: 20px;
}

/* Type Selector (<tag name>) - targets elements with specified type/tag name */

h1{
	color: yellow !important;
	/* !important property override CSS Styling */
}

/* ID Selector (#id-name) - targets elements according to its id attribute; ideally used for targetting a unique element */

#zuitt-motto {
	letter-spacing: 5px;
}

/* Class Selector (.class-name) - targets elements according to its class attribute; ideally used for multiple elements at once */

.offering-item {
	color: maroon;
	text-transform: uppercase;
}

/* Attribute Selector (tagname[attribute]) - targets elements with a specified element attribute; used to target elements with a certain attribute */

input[required] {
	border: 2px;
	border-style: dashed;
	border-color: blue;
}

/* Adjacent Sibling Selector */

h3 + img {
	width: 300px;
	height: 300px;
	border-radius: 150px;
}

/* Descendant Selector */

#bootcamp-learning-list li {
	color: #075966;
}

/* General SIbling Selector */

h2 ~ a {
	text-decoration: none;
}
/* CSS Selector Combinators */
/* Descendant Selector (white space) - matches all elements that are descendants of a specified elements */

/*div p {
	background-color: red;
}

#parent p {
	background-color: red;
}*/

/* Child Selector (>) */
/* Select all elements that are direct children of a specified element */

/*div > p {
	background-color: red;
}

#parent > p {
	background-color: red;
}*/

/* General Sibling Selector (~) */
/* Select all elements that are next siblings of a specified element */

/*p ~ p {
	background-color: red;
}

p ~ section {
	background-color: red;
}
*/

/* Adjacent Sibling Selector (+) */
/* Select all elements that are directly after the specified element */

/*p + p {
	background-color: red;
}*/

/*div + p {
	background-color: red;
}